function getHistoryAsCustomer() {
    var userID = document.getElementById('customer-id').innerHTML;

    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function () {
        if (this.readyState == 4 && this.status == 200) {
            resultData = JSON.parse(this.responseText);
            bindCustomerResult(resultData);
            console.log(resultData);
        }
    }
    xhttp.open('POST', '/index.php/main/history/customer?u='+userID, true);
    xhttp.send();

}

function getHistoryAsDriver() {
    var userID = document.getElementById('customer-id').innerHTML;

    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function () {
        if (this.readyState == 4 && this.status == 200) {
            resultData = JSON.parse(this.responseText);
            bindDriverResult(resultData);
            console.log(resultData);
        }
    }
    xhttp.open('POST', '/index.php/main/history/driver?u='+userID, true);
    xhttp.send();

}

function bindDriverResult(data) {

    var html = '';
    var customerNames = data.customerNames;
    var results = data.history;
    if (results != null && results.length != 0) {
        results.forEach(function (driverItem) {
            html += '' +
                '<div class="row" id="'+driverItem.id_order+'">\n' +
                '   <img src="'+customerNames[driverItem.id_driver].photo+'" style="float: left; border: 1px solid black; margin: 10px" width="120" height="125">\n' +
                '   <h3><small>'+driverItem[7]+'</small><br>' +
                '   '+customerNames[driverItem.id_driver].name+'<br>' +
                '   </h3>' +
                '   <h5>'+driverItem[3]+'-'+driverItem[4]+'<br>' +
                '   You Rated: '+driverItem.rating+'<br>' +
                '   You Commented: "'+driverItem.comment+'"</h5>' +
                '   <a href="#" class="btn red" style="float: right; margin: 10px" onclick="hideElement(\''+driverItem.id_order+'\')">HIDE</a>\n' +
                '</div>';
        });
        document.getElementById('driver-search-result').innerHTML = html;
    }
}

function bindCustomerResult(data) {

    var html = '';
    var driverNames = data.driverNames;
    var results = data.history;
    if (results != null && results.length != 0) {
        results.forEach(function (driverItem) {
            html += '' +
                '<div class="row" id="'+driverItem.id_order+'">\n' +
                '   <img src="'+driverNames[driverItem.id_driver].photo+'" style="float: left; border: 1px solid black; margin: 10px" width="120" height="125">\n' +
                '   <h3><small>'+driverItem[7]+'</small><br>' +
                '   '+driverNames[driverItem.id_driver].name+'<br>' +
                '   </h3>' +
                '   <h5>'+driverItem[3]+'-'+driverItem[4]+'<br>' +
                '   gave '+driverItem.rating+' rating<br>' +
                '   and said, "'+driverItem.comment+'"</h5>' +
                '   <a href="#" class="btn red" style="float: right; margin: 10px" onclick="hideElement(\''+driverItem.id_order+'\')">HIDE</a>\n' +
                '</div>';
        });
        document.getElementById('driver-search-result').innerHTML = html;
    }
}

function hideElement(elmtID) {
    document.getElementById(elmtID).style.display = 'none';
}

// Subpage Navigation

document.getElementById('page-tab-customer').onclick = function () {
    showCustomerPage();
    getHistoryAsCustomer();
};

document.getElementById('page-tab-driver').onclick = function () {
    showDriverPage();
    getHistoryAsDriver();
};

function showCustomerPage() {
    var driverPage = document.getElementById('history-page-driver');
    driverPage.style.display = 'none';
    var customerPage = document.getElementById('history-page-customer');
    customerPage.style.display = 'block';
    document.getElementById('page-tab-driver').classList.remove("active");
    document.getElementById('page-tab-customer').classList.add("active");
}

function showDriverPage() {
    var customerPage = document.getElementById('history-page-customer');
    customerPage.style.display = 'none';
    var driverPage = document.getElementById('history-page-driver');
    driverPage.style.display = 'block';
    document.getElementById('page-tab-customer').classList.remove("active");
    document.getElementById('page-tab-driver').classList.add("active");
}