
// Hide other page section
(function() {
    showLocationPage();
})();

var resultData;

function makeOrder() {
    var customerID = document.getElementById('customer-id').innerHTML;
    var orderPickup = document.getElementById('orderPickup').value;
    var orderDestination = document.getElementById('orderDestination').value;
    var orderPreferredDriver = document.getElementById('orderPreferredDriver').value;
    var data = "id="+customerID+"&pickup="+orderPickup+"&destination="+orderDestination+"&driver="+orderPreferredDriver;

    if (orderPickup.trim() == "" || orderDestination.trim() == "") {
        alert("Source and destination is required!");
        return;
    }

    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function() {
        if (this.readyState == 4 && this.status == 200) {
            resultData = JSON.parse(this.responseText);
            bindSearchResult(JSON.parse(this.responseText));
            showDriverPage();

            document.getElementById('orderPickup').disabled = true;
            document.getElementById('orderDestination').disabled = true;
            document.getElementById('orderPreferredDriver').disabled = true;

        }
    };
    xhttp.open("POST", "/index.php/main/order/new", true);
    xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    xhttp.send(data);
}

function bindSearchResult(data) {
    var preferred = data.preferred;
    if (preferred != null) {
        var vote = (preferred.sum_order > 1) ? 'votes' : 'vote';
        document.getElementById('driver-preferred-result').innerHTML = '' +
            '<div class="row">\n' +
            '   <img src="'+preferred.photo+'" style="float: left; border: 1px solid black; margin: 10px" width="120" height="125">\n' +
            '   <p style="font-size: 1.4em; margin:20px 10px 3px 10px">'+preferred.name+'</p>\n' +
            '   <p style="margin-top: 0"><span class="text-orange"><b><i class="icon icon-star"></i> '+preferred.rating+'</b></span> ('+preferred.sum_order+' '+vote+')</p>\n' +
            '   <span class="btn green" style="float: right; margin: 10px" onclick="finishOrder(\''+preferred.id+'\')">I CHOOSE YOU!</span>\n' +
            '</div>';
    }

    var html = '';
    var results = data.result;
    if (results != null && results.length != 0) {
        results.forEach(function (driverItem) {
            var vote = (driverItem.sum_order > 1) ? 'votes' : 'vote';
            html += '' +
                '<div class="row">\n' +
                '   <img src="'+driverItem.photo+'" style="float: left; border: 1px solid black; margin: 10px" width="120" height="125">\n' +
                '   <p style="font-size: 1.4em; margin:20px 10px 3px 10px">'+driverItem.name+'</p>\n' +
                '   <p style="margin-top: 0"><span class="text-orange"><b><i class="icon icon-star"></i> '+driverItem.rating+'</b></span> ('+driverItem.sum_order+' '+vote+')</p>\n' +
                '   <a href="#" class="btn green" style="float: right; margin: 10px" onclick="finishOrder(\''+driverItem.id+'\')">I CHOOSE YOU!</a>\n' +
                '</div>';
        });
        document.getElementById('driver-search-result').innerHTML = html;
    }
}

function finishOrder(id) {
    var photo;
    var name;
    var username;
    var preferred = resultData.preferred;
    if (preferred != null && preferred.id == id) {
        photo = preferred.photo;
        name = preferred.name;
        username = preferred.username;
    } else {
        var results = resultData.result;
        var i = 0;
        while (results[i].id != id) {
            i++;
        }
        photo = results[i].photo;
        name = results[i].name;
        username = results[i].username;
    }

    bindFinishPage(id, name, photo, username);
    showFinishPage();
}

function bindFinishPage(id, name, photo, username) {
    document.getElementById('driver-finish-order').innerHTML = '' +
        '<img class="img-circle" src="'+photo+'"/><br>\n' +
        '<h2 style="margin-bottom: 0px">@'+username+'</h2>\n' +
        '<p style="margin-top: 10px">'+name+'</p>\n' +
        '<i id="star-1" class="icon icon-star-full big" onclick="setRating(1)"></i>\n' +
        '<i id="star-2" class="icon icon-star-full big" onclick="setRating(2)"></i>\n' +
        '<i id="star-3" class="icon icon-star-full big" onclick="setRating(3)"></i>\n' +
        '<i id="star-4" class="icon icon-star-full big" onclick="setRating(4)"></i>\n' +
        '<i id="star-5" class="icon icon-star-full big" onclick="setRating(5)"></i>\n' +
        '<input type="hidden" id="order-rating" value="0"> \n' +
        '<br>\n' +
        '<br>\n' +
        '<br>\n' +
        '<textarea id="order-comment" style="width: 100%; height: 100px; padding: 10px; resize: none" placeholder="Your comment..." ></textarea>\n' +
        '<a class="btn green" style="float: right; margin: 10px" onclick="completeOrder(\''+id+'\')">COMPLETE<br>ORDER</a>'
}

function setRating(val) {
    for (var i = 1; i <= 5; i++) {
        if (i <= val) {
            document.getElementById('star-'+i).style.color = "orange";
        } else {
            document.getElementById('star-'+i).style.color = "#c2c2c2";
        }
    }
    document.getElementById('order-rating').value = val;
}

function completeOrder(id) {
    var customerID = document.getElementById('customer-id').innerHTML;
    var orderPickup = document.getElementById('orderPickup').value;
    var orderDestination = document.getElementById('orderDestination').value;
    var rating = document.getElementById('order-rating').value;
    var comment = document.getElementById('order-comment').value;
    var data = 'id='+id+'&id_customer='+customerID+'&source='+orderPickup+'&destination='+orderDestination+'&rating='+rating+'&comment='+comment;

    if (rating == 0) {
        alert("You must give rating to your driver");
        return;
    }

    if (comment.trim() == "") {
        alert("You must give feedback to your driver");
        return;
    }

    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function() {
        if (this.readyState == 4 && this.status == 200) {
            if (this.responseText == "Error") {
                alert("Fail completing your order");
            } else {
                alert("Thanks for your order :D");
                window.location.href = "/index.php/main/order?u="+customerID;
            }
        }
    };
    xhttp.open("POST", "/index.php/main/order/finish?u", true);
    xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    xhttp.send(data);

}

function showLocationPage() {
    var finishPage = document.getElementById('order-page-finish');
    finishPage.style.display = 'none';
    var driverPage = document.getElementById('order-page-driver');
    driverPage.style.display = 'none';
    var locationPage = document.getElementById('order-page-location');
    locationPage.style.display = 'block';
    document.getElementById('page-tab-driver').classList.remove("selected");
    document.getElementById('page-tab-finish').classList.remove("selected");
    document.getElementById('page-tab-location').classList.add("selected");
}

function showDriverPage() {
    var locationPage = document.getElementById('order-page-location');
    locationPage.style.display = 'none';
    var finishPage = document.getElementById('order-page-finish');
    finishPage.style.display = 'none';
    var driverPage = document.getElementById('order-page-driver');
    driverPage.style.display = 'block';
    document.getElementById('page-tab-driver').classList.add("selected");
    document.getElementById('page-tab-finish').classList.remove("selected");
    document.getElementById('page-tab-location').classList.remove("selected");
}

function showFinishPage() {
    var locationPage = document.getElementById('order-page-location');
    locationPage.style.display = 'none';
    var driverPage = document.getElementById('order-page-driver');
    driverPage.style.display = 'none';
    var finishPage = document.getElementById('order-page-finish');
    finishPage.style.display = 'block';
    document.getElementById('page-tab-driver').classList.remove("selected");
    document.getElementById('page-tab-finish').classList.add("selected");
    document.getElementById('page-tab-location').classList.remove("selected");
}